# Class IsSelectableValueDirective

#### Hierarchy (view full)

- ExtractOptionsDataSourceMixin
  - IsSelectableValueDirective

#### Implements

- Validator

- Defined in packages/angular/form-system/src/lib/validators/is-selectable-value.directive.ts:25
- Defined in packages/angular/form-system/src/lib/validators/is-selectable-value.directive.ts:40

#####
Index

### Constructors

constructor

### Properties

control?
dataSource?
dataSourceLoader
injector
matFormField?
metadata?
ngControl
settings?
useDataSourceValue?
viewer

### Methods

extractControl
extractDataSources
extractFormDefinition
extractOptionsDatasource
validate

## Constructors

### constructor

- new IsSelectableValueDirective(dataSourceLoader, injector): IsSelectableValueDirective

- #### Parameters

  - dataSourceLoader: DataSourceLoader
  - injector: Injector

  #### Returns IsSelectableValueDirective

  Inherited from ExtractOptionsDataSourceMixin.constructor

  - Defined in packages/angular/form-system/src/lib/validators/is-selectable-value.directive.ts:45

## Properties

### `Protected` `Optional` control

control?: RxapFormControl<any, any, any>

Inherited from ExtractOptionsDataSourceMixin.control

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:14

### `Protected` `Optional` dataSource

dataSource?: BaseDataSource<ControlOptions | Record<string, any>, BaseDataSourceMetadata, BaseDataSourceViewer<any>>

Inherited from ExtractOptionsDataSourceMixin.dataSource

- Defined in packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:70

### `Protected` `Readonly` dataSourceLoader

dataSourceLoader: DataSourceLoader

Inherited from ExtractOptionsDataSourceMixin.dataSourceLoader

- Defined in packages/angular/form-system/src/lib/validators/is-selectable-value.directive.ts:47

### `Protected` `Readonly` injector

injector: Injector

Inherited from ExtractOptionsDataSourceMixin.injector

- Defined in packages/angular/form-system/src/lib/validators/is-selectable-value.directive.ts:49

### `Protected` `Optional` matFormField

matFormField?: null | MatFormField

Inherited from ExtractOptionsDataSourceMixin.matFormField

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:12

### `Protected` `Optional` metadata

metadata?: BaseDataSourceMetadata

Inherited from ExtractOptionsDataSourceMixin.metadata

- Defined in packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:66

### `Protected` ngControl

ngControl: null | NgControl | AbstractControlDirective

Inherited from ExtractOptionsDataSourceMixin.ngControl

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:10

### `Protected` `Optional` settings

settings?: UseOptionsDataSourceSettings<any>

Inherited from ExtractOptionsDataSourceMixin.settings

- Defined in packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:62

### `Protected` `Optional` useDataSourceValue

useDataSourceValue?: UseDataSourceValue<ControlOptions | Record<string, any>, ControlOptions | Record<string, any>>

Inherited from ExtractOptionsDataSourceMixin.useDataSourceValue

- Defined in packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:74

### viewer

viewer: BaseDataSourceViewer<any> = ...

Inherited from ExtractOptionsDataSourceMixin.viewer

- Defined in packages/angular/form-system/src/lib/validators/is-selectable-value.directive.ts:43

## Methods

### `Protected` extractControl

- extractControl(ngControl?): RxapFormControl<any, any, any>

- #### Parameters

  - ngControl: null | NgControl | AbstractControlDirective = ...

  #### Returns RxapFormControl<any, any, any>

  Inherited from ExtractOptionsDataSourceMixin.extractControl

  - Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:16

### `Protected` extractDataSources

- extractDataSources(formDefinition, controlId): Map<string, UseDataSourceValue<any, any>>

- #### Parameters

  - formDefinition: FormDefinition<any, any, any>
  - controlId: string

  #### Returns Map<string, UseDataSourceValue<any, any>>

  Inherited from ExtractOptionsDataSourceMixin.extractDataSources

  - Defined in packages/angular/form-system/src/lib/mixins/extract-data-sources.mixin.ts:9

### `Protected` extractFormDefinition

- extractFormDefinition(control): FormDefinition<any, any, any>

- #### Parameters

  - control: AbstractControl<any>

  #### Returns FormDefinition<any, any, any>

  Inherited from ExtractOptionsDataSourceMixin.extractFormDefinition

  - Defined in packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts:10

### `Protected` extractOptionsDatasource

- extractOptionsDatasource(control?): BaseDataSource<ControlOptions | Record<string, any>, BaseDataSourceMetadata, BaseDataSourceViewer<any>>

- #### Parameters

  - `Optional` control: AbstractControl<any, any>

  #### Returns BaseDataSource<ControlOptions | Record<string, any>, BaseDataSourceMetadata, BaseDataSourceViewer<any>>

  Inherited from ExtractOptionsDataSourceMixin.extractOptionsDatasource

  - Defined in packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:76

### validate

- validate(control): null | ValidationErrors

- #### Parameters

  - control: AbstractControl<any, any>

  #### Returns null | ValidationErrors

  - Defined in packages/angular/form-system/src/lib/validators/is-selectable-value.directive.ts:53